// form styles

@mixin input-style() {
  padding: 15px 20px;
  width: 100%;
  background: $white;
  border: 2px solid $darkgreen;
  color: $black;
  border-radius: 0;

  height: auto;
}

.flatpickr-day.selected {
  background-color: $green;
  border-color: $green;

  &:hover {
    background-color: $darkgreen;
    border-color: $darkgreen;
  }
}

.sitecore-form {
  padding-bottom: 70px;
  margin-top: 45px;

  &__title {
    font-size: calc-em(18px);
    font-weight: $medium;
  }
  .has-error {
    .list-group {
      margin: 0;
    }
  }

  fieldset {
    border: 0;
  }

  legend {
    display: none;
  }

  p {
    a {
      color: $green;

      &:hover,
      &:focus {
        color: $darkgreen;
      }
    }
  }

  h2 {
    font-size: 1.125em;
    letter-spacing: 0.2em;
    text-transform: uppercase;
    margin-top: 0;
    margin-bottom: 1.5em;
    font-size: 1.125em;
  }

  .subpages__header {
    margin-bottom: 1.5em;
    span {
      font-size: 1em;
      line-height: 1.375em;
    }
  }

  .form-group {
    margin: 15px 0 25px;
    display: block;

    &.scfRadioButtonListBorder {
      .control-label {
        font-size: calc-em(18px);
        margin-bottom: 15px;
      }

      .radio {
        label {
          color: $green;
        }
      }
    }

    .control-label {
      font-size: calc-em(14px);
      font-weight: $medium;
      letter-spacing: 0.1em;
      margin-bottom: 0;
      color: $black;
      margin-bottom: 6px;
      display: block;

      font-family: $primaryfont;

      span {
        font-weight: $semi-bold;
        font-size: 14px;
        display: block;
      }
    }

    .form-control {
      @include input-style();
    }

    .select-clone-pair {
      select {
        right: 0;
        bottom: 0;
      }

      .select-clone {
        button {
          @include input-style();

          font-size: calc-em(16px);
        }
      }
    }

    .text-box {
      width: 100%;

      font-size: calc-em(16px);

      font-family: sans-serif;
    }

    .radio {
      margin-bottom: 5px;
      label,
      input {
        cursor: pointer;
        outline: 0;
        font-weight: 500;
        color: $green;

        font-family: $primaryfont;
      }
    }

    input::placeholder {
      font-size: calc-em(12px);
      font-weight: $medium;
      font-family: $primaryfont;
      letter-spacing: 1px;
    }

    textarea {
      resize: vertical;
      width: 100% !important;
      height: 150px;
    }
  }

  .form-submit-border {
    text-align: left;
    margin-top: 20px;

    .btn {
      color: $white;
      padding: 16px 50px 15px;
      font-weight: $semi-bold;
      font-size: calc-em(14px);
      transition: all 0.4s ease-in-out;
      text-transform: capitalize;
      letter-spacing: 1px;
      border-radius: 0;
      background: $green;
      cursor: pointer;

      &:hover,
      &:focus {
        transition: all 0.4s ease-in-out;
        background: $darkgreen;
      }
      &[value="Submit"] {
        text-transform: uppercase;
      }
    }
  }

  .field-captcha-image-container {
    margin: 25px 0 15px;
    position: relative;

    &:before {
      content: "Enter Security Code";
      display: block;
      margin-bottom: 6px;
      position: absolute;
      top: -28px;
      left: 6px;
      letter-spacing: 0.1em;
    }

    &:after {
      content: "*";
      position: absolute;
      top: -28px;
      left: -2px;
      font-weight: bolder;
      color: $green;
    }
  }

  .required-field .control-label:before,
  .required-field .checkbox:after {
    color: $green;
  }

  .validation-summary-errors {
    margin-bottom: 15px;

    ul li {
      margin-bottom: 5px;
    }
  }
}

@media only screen and (max-width: $bpTablet - 1) {
  .sitecore-form {
    .form-submit-border .btn {
      width: 100%;
    }
  }
}
